Summary:    A Python library for determining if a package is multilib or not
Name:       python-multilib
Version:    1.3
Release:    4%{?dist}
License:    GPLv2
URL:        https://pagure.io/releng/python-multilib
Source0:    %{url}/archive/v%{version}/python-multilib-v%{version}.tar.gz

BuildArch:  noarch


%description
Use this Python module to determine if a package is multilib or not.
This module provides several multilib "methods" in order to determine
if a 32-bit package should be included with its 64-bit analogue in a
repository.

%package conf
Summary:        Configuration files for %{name}

%description conf
This package provides the configuration files for %{name}.

%package -n python3-multilib
Summary:        A Python library for determining if a package is multilib or not
BuildRequires:  python3-devel python3-setuptools python3-six
Requires:       python3-six python3
Requires:       %{name}-conf = %{version}-%{release}

%description -n python3-multilib
Use this Python module to determine if a package is multilib or not.
This module provides several multilib "methods" in order to determine
if a 32-bit package should be included with its 64-bit analogue in a 
repository.

%prep
%autosetup -n %{name}-v%{version}

%build
%py3_build

%install
%py3_install
install -D -m 644 -p etc/multilib.conf %{buildroot}%{_sysconfdir}/multilib.conf

%check
%{__python3} setup.py test

%files conf
%config(noreplace) %{_sysconfdir}/multilib.conf

%files -n python3-multilib
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 Miaojun Dong <zoedong@tencent.com> - 1.3-1
- initial build
